<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.hsmf.datatypes (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.hsmf.datatypes (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.hsmf.datatypes" class="title">Uses of Package<br>org.apache.poi.hsmf.datatypes
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hmef">org.apache.poi.hmef</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hmef.attribute">org.apache.poi.hmef.attribute</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf">org.apache.poi.hsmf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf.datatypes">org.apache.poi.hsmf.datatypes</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf.parsers">org.apache.poi.hsmf.parsers</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hmef">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a> used by <a
                        href="../../../../../org/apache/poi/hmef/package-summary.html">org.apache.poi.hmef</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/MAPIProperty.html#org.apache.poi.hmef">MAPIProperty</a>
                        <div class="block">Holds the list of MAPI Attributes, and allows lookup by friendly name, ID and
                            MAPI Property Name.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hmef.attribute">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a> used by <a
                        href="../../../../../org/apache/poi/hmef/attribute/package-summary.html">org.apache.poi.hmef.attribute</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/MAPIProperty.html#org.apache.poi.hmef.attribute">MAPIProperty</a>
                        <div class="block">Holds the list of MAPI Attributes, and allows lookup by friendly name, ID and
                            MAPI Property Name.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hsmf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a> used by <a
                        href="../../../../../org/apache/poi/hsmf/package-summary.html">org.apache.poi.hsmf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/AttachmentChunks.html#org.apache.poi.hsmf">AttachmentChunks</a>
                        <div class="block">Collection of convenience chunks for standard parts of the MSG file
                            attachment.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/Chunks.html#org.apache.poi.hsmf">Chunks</a>
                        <div class="block">Collection of convenience chunks for standard parts of the MSG file.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/NameIdChunks.html#org.apache.poi.hsmf">NameIdChunks</a>
                        <div class="block">Collection of convenience chunks for the NameID part of an outlook file</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/RecipientChunks.html#org.apache.poi.hsmf">RecipientChunks</a>
                        <div class="block">Collection of convenience chunks for the Recip(ient) part of an outlook
                            file.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/StringChunk.html#org.apache.poi.hsmf">StringChunk</a>
                        <div class="block">A Chunk made up of a single string.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hsmf.datatypes">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a> used by <a
                        href="../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/AttachmentChunks.html#org.apache.poi.hsmf.datatypes">AttachmentChunks</a>
                        <div class="block">Collection of convenience chunks for standard parts of the MSG file
                            attachment.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/ByteChunk.html#org.apache.poi.hsmf.datatypes">ByteChunk</a>
                        <div class="block">A Chunk that holds binary data, normally unparsed.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/Chunk.html#org.apache.poi.hsmf.datatypes">Chunk</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/ChunkGroup.html#org.apache.poi.hsmf.datatypes">ChunkGroup</a>
                        <div class="block">A group of chunks, that are at the same point in the file structure.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/ChunkGroupWithProperties.html#org.apache.poi.hsmf.datatypes">ChunkGroupWithProperties</a>
                        <div class="block">A group of chunks which is indexable by <a
                                href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                title="class in org.apache.poi.hsmf.datatypes"><code>MAPIProperty</code></a> entries.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/DirectoryChunk.html#org.apache.poi.hsmf.datatypes">DirectoryChunk</a>
                        <div class="block">A Chunk that is just a placeholder in the MAPIMessage directory structure,
                            which contains children.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/MAPIProperty.html#org.apache.poi.hsmf.datatypes">MAPIProperty</a>
                        <div class="block">Holds the list of MAPI Attributes, and allows lookup by friendly name, ID and
                            MAPI Property Name.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/MessagePropertiesChunk.html#org.apache.poi.hsmf.datatypes">MessagePropertiesChunk</a>
                        <div class="block">A <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertiesChunk.html"
                                                title="class in org.apache.poi.hsmf.datatypes"><code>PropertiesChunk</code></a>
                            for a Message or Embedded-Message.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/MessageSubmissionChunk.html#org.apache.poi.hsmf.datatypes">MessageSubmissionChunk</a>
                        <div class="block">A Chunk that holds the details given back by the server at submission time.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/PropertiesChunk.html#org.apache.poi.hsmf.datatypes">PropertiesChunk</a>
                        <div class="block">
                            A Chunk which holds (single) fixed-length properties, and pointer to the
                            variable length ones / multi-valued ones (which get their own chunk).
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/PropertyValue.html#org.apache.poi.hsmf.datatypes">PropertyValue</a>
                        <div class="block">An instance of a <a
                                href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                title="class in org.apache.poi.hsmf.datatypes"><code>MAPIProperty</code></a> inside a <a
                                href="../../../../../org/apache/poi/hsmf/datatypes/PropertiesChunk.html"
                                title="class in org.apache.poi.hsmf.datatypes"><code>PropertiesChunk</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/RecipientChunks.html#org.apache.poi.hsmf.datatypes">RecipientChunks</a>
                        <div class="block">Collection of convenience chunks for the Recip(ient) part of an outlook
                            file.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/StringChunk.html#org.apache.poi.hsmf.datatypes">StringChunk</a>
                        <div class="block">A Chunk made up of a single string.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/Types.MAPIType.html#org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hsmf.parsers">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a> used by <a
                        href="../../../../../org/apache/poi/hsmf/parsers/package-summary.html">org.apache.poi.hsmf.parsers</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/class-use/ChunkGroup.html#org.apache.poi.hsmf.parsers">ChunkGroup</a>
                        <div class="block">A group of chunks, that are at the same point in the file structure.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
